complexType "ExpectedCollateralDeliveryReturn"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | deliver?, return*
</...>

Content Model Elements (2):

  deliver (defined in ExpectedCollateralDeliveryReturn complexType),
  return (defined in ExpectedCollateralDeliveryReturn complexType)

All Direct / Indirect Based Elements (4):

  expectedCollateral (defined in ProposedCollateralResponse complexType),
  segregatedIndependentAmount (in expectedCollateral in requestMargin),
  segregatedIndependentAmount (in expectedCollateral in requestMargin),
  variationMargin (in expectedCollateral in requestMargin)

Known Usage Locations

- As direct type of elements (4):
  expectedCollateral (defined in ProposedCollateralResponse complexType),
  segregatedIndependentAmount (in expectedCollateral in requestMargin),
  segregatedIndependentAmount (in expectedCollateral in requestMargin),
  variationMargin (in expectedCollateral in requestMargin)

XML Source (see within schema source)

<xsd:complexType name="ExpectedCollateralDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="deliver" type="ExpectedCollateralDelivery"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="return" type="ProposedCollateralDeliveryReturn"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
deliver

  Type: | ExpectedCollateralDelivery, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="deliver" type="ExpectedCollateralDelivery"/>

return

  Type: | ProposedCollateralDeliveryReturn, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="return" type="ProposedCollateralDeliveryReturn"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.